Bug 1076617 - Please consider enable more options
Summary: Please consider enable more options
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wxGTK3
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeremy Newton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-14 16:37 UTC by Remi Collet
Modified: 2014-04-19 09:19 UTC (History)
2 users (show)

Fixed In Version: wxGTK3-3.0.0-7.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-18 11:14:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Remi Collet 2014-03-14 16:37:57 UTC
Hi,

I'm working on pecl/wxwidgets [1] PHP extension which use wxWidgets >= 3.0

This extension rely on
  wxUSE_ON_FATAL_EXCEPTION=1
  WXWIN_COMPATIBILITY_2_8=1

Talking with upstream, it seems quite difficult to detect those by conditional part as the source code is mostly generated from the WX headers.

I understand that enabling now methods could change API, but this package is very young (in Fedora), and drop of compat28 seems very recent (Mon Feb 10 2014 according to changelog). Probably worth to do it now, before this one if widely used.

-  --enable-ipv6 \
-  --disable-catch_segvs \
-  --disable-compat28
+  --enable-ipv6

I have run a test build with those changes, and can use it to build pecl/wxwidgets and run provided tests.


http://pecl.php.net/package/wxwidgets

Comment 1 Volker Fröhlich 2014-03-18 01:53:53 UTC
Building Saga also fails because of compat28 being disabled. I would either like to tell them to change their code or have it enabled, so I can finally build it in Rawhide.

Comment 2 Jeremy Newton 2014-03-18 02:44:07 UTC
Agreed, I've run into this problem too with disabling compat28.

Any reason you would like --disable-catch_segvs removed? I see no reason for it as is. I've fixed the compat28 and is currently rebuilding for all branches.

Comment 3 Remi Collet 2014-03-18 05:42:47 UTC
(In reply to Jeremy Newton from comment #2)
> Any reason you would like --disable-catch_segvs removed? 

As explained, pecl/wxwidgets extension expect wxUSE_ON_FATAL_EXCEPTION=1 as this expose some additional methods.

With --disable-catch_segvs, wxUSE_ON_FATAL_EXCEPTION=0

Comment 4 Jeremy Newton 2014-03-18 11:14:13 UTC
Alright, I'm not too attached to this option, so I'll enable it.

The koji build for rawhide is here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6644713

As for the other branches, I'll make an update later when I have some time.

I'm closing this, please feel free to bug me if the build fails.

Thanks!

Comment 5 Fedora Update System 2014-03-18 11:58:31 UTC
wxGTK3-3.0.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wxGTK3-3.0.0-6.fc19

Comment 6 Fedora Update System 2014-03-18 12:00:53 UTC
wxGTK3-3.0.0-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wxGTK3-3.0.0-6.el6

Comment 7 Remi Collet 2014-03-18 12:03:12 UTC
Thanks.

Comment 8 Fedora Update System 2014-03-18 12:13:57 UTC
wxGTK3-3.0.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wxGTK3-3.0.0-6.fc20

Comment 9 Jeremy Newton 2014-03-18 12:14:58 UTC
No problem

Comment 10 Fedora Update System 2014-04-04 12:01:39 UTC
wxGTK3-3.0.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wxGTK3-3.0.0-7.fc19

Comment 11 Fedora Update System 2014-04-04 12:02:51 UTC
wxGTK3-3.0.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wxGTK3-3.0.0-7.fc20

Comment 12 Fedora Update System 2014-04-04 12:03:38 UTC
wxGTK3-3.0.0-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wxGTK3-3.0.0-7.el6

Comment 13 Fedora Update System 2014-04-15 15:41:33 UTC
wxGTK3-3.0.0-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-04-15 15:56:55 UTC
wxGTK3-3.0.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-04-19 09:19:07 UTC
wxGTK3-3.0.0-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.